#
# spec file for package dvdinfo
#
# Copyright (c) 2021 Packman Team <packman@links2linux.de>
# Copyright (c) 2007-2009 oc2pus <toni@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define _over   0-9-2
Name:           dvdinfo
Version:        0.9.2
Release:        150500.3.pm.7
Summary:        DVDx InfoTool shows the DVD structure of a DVD-Video disc
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            http://www.labdv.com/dvdx/download.php
Source:         %{name}-src_0-9-2.tar.gz
Patch0:         %{name}-gcc44.patch
Patch1:         %{name}-qt4.patch
Patch2:         %{name}-qt5.patch
BuildRequires:  gcc-c++
BuildRequires:  libdvdread3-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libdvdcss)

%description
DVDx InfoTool shows the DVD structure (such as VTS, PGC, and menus)
and the video/audio/subtitle format of a DVD-Video disc (protected
or not). The information can be displayed in two views: a complete
dump or 'text' which filters out less useful details.

%prep
%setup -q -n %{name}-src_%{_over}
%autopatch -p1

chmod 644 InfoTool/COPYING InfoTool/README

%build
pushd InfoTool/linux
        %qmake5
	%make_build
popd

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 755 InfoTool/linux/%{name} \
	%{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Exec=%{name}
Icon=tools-rip-video-dvd
Terminal=false
Name=DVDx InfoTool
GenericName=DVDx InfoTool
Comment=DVDx InfoTool shows the DVD structure of a DVD-Video disc
Categories=AudioVideo;AudioVideoEditing;
EOF

%files
%license InfoTool/COPYING
%doc InfoTool/README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jun  9 2021 Luigi Baldoni <aloisio@gmx.com>
- Add dvdinfo-qt5.patch to build against Qt5
- Spec cleanup
* Tue Dec 23 2008 toni@links2linux.de
- rebuild with new libdvdread(-devel)
* Tue Jan  8 2008 toni@links2linux.de
- update to 0.9.2
* Sun Dec 23 2007 toni@links2linux.de
- initial package 0.9.1
